darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe
Language | Haskell2010

Darcs.Util.DateTime

Synopsis

- getCurrentTime :: IO UTCTime
- toSeconds :: UTCTime -> Integer
- formatDateTime :: String -> UTCTime -> String
- fromClockTime :: ClockTime -> UTCTime
- parseDateTime :: String -> String -> Maybe UTCTime
- startOfTime :: UTCTime

# Documentation

getCurrentTime :: IO UTCTime #

Get the current UTC time from the system clock.

toSeconds :: UTCTime -> Integer #

formatDateTime :: String -> UTCTime -> String #

fromClockTime :: ClockTime -> UTCTime #

parseDateTime :: String -> String -> Maybe UTCTime #

startOfTime :: UTCTime #